cern.jet.math

## Class Mult

- java.lang.Object
- - cern.jet.math.Mult

- All Implemented Interfaces:
    DoubleFunction

      public final class Mult
      extends java.lang.Object
      implements DoubleFunction

  Only for performance tuning of compute intensive linear algebraic computations. Constructs functions that return one of
  - `a * constant`
  - `a / constant`
  `a` is variable, `constant` is fixed, but for performance reasons publicly accessible. Intended to be passed to `matrix.assign(function)` methods.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `multiplicator` Public read/write access to avoid frequent object construction.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `apply(double a)` Returns the result of the function evaluation.
    `static Mult` | `div(double constant)` `a / constant`.
    `static Mult` | `mult(double constant)` `a * constant`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### multiplicator

          public double multiplicator

      Public read/write access to avoid frequent object construction.

  - ### Method Detail

    - #### apply

          public final double apply(double a)

      Returns the result of the function evaluation.
      Specified by:
        `apply` in interface `DoubleFunction`
      Parameters:
        `a` - argument passed to the function.
      Returns:
        the result of the function.

    - #### div

          public static Mult div(double constant)

      `a / constant`.

    - #### mult

          public static Mult mult(double constant)

      `a * constant`.

Jump to the Colt Homepage